Gtk_ToggleButton(3)

NAME - Gtk_ToggleButton

HEADER REQUIRED
#include <gtk--/togglebutton.h&gt;>

BASE CLASSES
Gtk_Button(3)

DERIVED BY
Gtk_CheckButton(3)

PROPERTIES

active
    Type: guint:1
    Get: get_active()
    Set: set_active()

     Whether the button is toggled on (e.g. active) or off

draw_indicator
    Type: guint:1
    Get: get_mode()
    Set: set_mode()

     Whether the button or only its parent itself will be redrawn when toggled. If set to true, the button will be redrawn, otherwise only the parent will be.

PUBLIC MEMBER INDEX
    Gtk_ToggleButton();
      Create an empty toggle button.
    Gtk_ToggleButton(const string &label);
      Create a check button with a label.
    Gtk_ToggleButton(GtkToggleButton *castitem);
    void  set_mode(bool draw_indicator);
      Set whether the indicator will be drawn.
    bool  get_mode() const;
      Returns whether the indicator will be drawn.
    void  set_active(bool is_active);
      Set the state of the indicator.
    bool  get_active() const;
      Return the state of the indicator.
    signal void  toggled(BaseObjectType);
      Emitted on a change of button state.
    GtkToggleButton*  gtkobj();
    const GtkToggleButton*  gtkobj() const;
    static bool  isGtkToggleButton(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkToggleButton  BaseObjectType;
    typedef GtkToggleButtonClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  toggled_impl();

PRIVATE MEMBER INDEX
    static CppClassType  toggle_button_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

Gtk_ToggleButton::Gtk_ToggleButton ();
    Create an empty toggle button..
    With an empty button, you can Gtk_Button::add() a widget such as a Gtk_Pixmap or Gtk_Box.

If you just wish to add a Gtk_Label, you may want to
 use the Gtk_ToggleButton(const string &label) ctor
 directly instead.

Gtk_ToggleButton::Gtk_ToggleButton (const string &label);
    Create a check button with a label..
    You won't be able to add a widget in this button since it already has a Gtk_Label in it.

void  Gtk_ToggleButton::set_mode (bool draw_indicator);
    Set whether the indicator will be drawn..
    See draw_indicator.

bool  Gtk_ToggleButton::get_mode () const;
    Returns whether the indicator will be drawn..
    See draw_indicator.

bool  Gtk_ToggleButton::get_active () const;
    Return the state of the indicator..
    See active. See active.

signal void  Gtk_ToggleButton::toggled (BaseObjectType);
    Emitted on a change of button state..
    Triggered when the button changes state (Note : changing the button's state with set_active() will also trigger this signal).

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS